package com.bytedance.ies.abmock.debugtool.mock;

import X.AnonymousClass9YF;
import android.content.Context;
import com.bytedance.covode.number.Covode;

public class ConfigMock implements AnonymousClass9YF {
    public static final ConfigMock INSTANCE = new ConfigMock();

    public void delete(String str) {
    }

    public void deleteAll() {
    }

    public boolean enable() {
        return false;
    }

    public Object get(String str) {
        return null;
    }

    public <T> T get(String str, T t) {
        return null;
    }

    public boolean hasMock(String str) {
        return false;
    }

    public void init(Context context) {
    }

    public void put(String str, Object obj) {
    }

    static {
        Covode.recordClassIndex(27956);
    }
}
